Loading...
Searching...
No Matches
hint.hpp File Reference

## Description

Provides mongocxx::v_noabi::hint.

Includes
  - mongocxx/v1/hint.hpp

Go to the source code of this file.

## Classes

class | mongocxx::v_noabi::hint
| The index to "hint" or force a MongoDB server to use when performing a query. More...

## Namespaces

namespace | mongocxx
| The top-level namespace within which all mongocxx library entities are declared.
namespace | mongocxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.

## Functions

v_noabi::hint | mongocxx::v_noabi::from_v1 (v1::hint v)
| Convert to the mongocxx::v_noabi equivalent of v.
bool | mongocxx::operator== (std::string str, hint const &hint)
| Convenience methods to compare against an index name.
v1::hint | mongocxx::v_noabi::to_v1 (v_noabi::hint const &v)
| Convert to the mongocxx::v1 equivalent of v.
bool | mongocxx::v_noabi::operator!= (hint const &hint, std::string str)
| Convenience methods to compare against an index name.
bool | mongocxx::v_noabi::operator!= (std::string str, hint const &hint)
| Convenience methods to compare against an index name.
bool | mongocxx::v_noabi::operator== (std::string str, hint const &hint)
| Convenience methods to compare against an index name.
bool | mongocxx::v_noabi::operator!= (bsoncxx::v_noabi::document::view doc, hint const &hint)
| Convenience methods to compare for equality against an index document.
bool | mongocxx::v_noabi::operator!= (hint const &hint, bsoncxx::v_noabi::document::view doc)
| Convenience methods to compare for equality against an index document.
bool | mongocxx::v_noabi::operator== (bsoncxx::v_noabi::document::view doc, hint const &hint)
| Convenience methods to compare for equality against an index document.